Skip to Content
Candidate

Update the candidate profile

PATCH
/developer/profile

Changes the fields you send and leaves the rest. Send null to clear a field. The same fields the candidate edits in GetMattered. Free.

Authorization

DeveloperKey
headerAuthorizationBearer <gm_live_...>

A GetMattered developer API key, sent as Authorization: Bearer gm_live_....

Request Body

application/json
  1. body
addressLine1?|

Address line 1

Lengthlength <= 255
addressLine2?|

Address line 2

Lengthlength <= 255
city?|

City

Lengthlength <= 100
country?|

Country

Lengthlength <= 100
githubUrl?|

GitHub profile URL

Formaturi
Lengthlength <= 500
linkedinUrl?|

LinkedIn profile URL

Formaturi
Lengthlength <= 500
phone?|

Phone number

Lengthlength <= 20
portfolioUrl?|

Portfolio website URL

Formaturi
Lengthlength <= 500
relocationLocations?array<string>|

Preferred relocation locations as "City, Country" or "Country" (max per-entry stripping of middle admin segments on ingest).

state?|

State or province

Lengthlength <= 100
willingToRelocate?boolean

Willing to relocate for a job

workAuthorization?|

Work authorization status

Value in"us_citizen""permanent_resident""visa_holder""require_sponsorship""other"null
zipCode?|

ZIP or postal code

Lengthlength <= 20
name?string

The candidate's full name, as employers see it.

Length1 <= length <= 100

Response Body

The profile after the change.

application/json
  1. response

Successful API response

data*
meta?
success*true
Value intrue
Example Request
curl -X PATCH 'https://api.getmattered.com/api/v1/developer/profile' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "data": {
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "country": "string",
    "githubUrl": "string",
    "linkedinUrl": "string",
    "phone": "string",
    "portfolioUrl": "string",
    "relocationLocations": [
      "string"
    ],
    "state": "string",
    "willingToRelocate": true,
    "workAuthorization": "us_citizen",
    "zipCode": "string",
    "email": "string",
    "name": "string"
  },
  "meta": {
    "duration": 0,
    "performance": {
      "dbQueries": 0,
      "totalDbTime": 0
    },
    "requestId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  },
  "success": true
}